> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all invitations for a project

> Get all invitations for a project.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /invitations/projects
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /invitations/projects:
    get:
      tags:
        - Invitation
      summary: Get all invitations for a project
      description: Get all invitations for a project.
      operationId: GetProjectInvitations
      parameters: []
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/InvitationDocument'
                type: array
      security:
        - jwt: []
components:
  schemas:
    InvitationDocument:
      allOf:
        - $ref: '#/components/schemas/Invitation'
        - $ref: '#/components/schemas/Document'
    Invitation:
      $ref: '#/components/schemas/InferSchemaType_typeofinvitationSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofinvitationSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofinvitationSchema.any.ObtainSchemaGeneric_typeofinvitationSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofinvitationSchema.any.ObtainSchemaGeneric_typeofinvitationSchema.DocType__:
      allOf:
        - properties:
            updatedAt:
              $ref: '#/components/schemas/NativeDate'
            createdAt:
              $ref: '#/components/schemas/NativeDate'
          required:
            - updatedAt
            - createdAt
          type: object
        - properties:
            project:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            email:
              type: string
            organisation:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            role:
              type: string
            name:
              type: string
            type:
              type: string
              enum:
                - organisation
                - project
          required:
            - role
            - name
            - type
          type: object
    NativeDate:
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````